#ifndef AUTDLG_H
#define AUTDLG_H

#include "Tools/MenuXP.h"
#include "Tools/ButtonXP.h"

/////////////////////////////////////////////////////////////////////////////
// CAutDlg dialog

class CAutDlg : public CDialog
{
	// Construction
public:
	CAutDlg(UINT id, CWnd* pParent = NULL);   // standard constructor
	~CAutDlg();
	CAutDlg* getInstance(UINT id, CWnd* pParent = NULL);

	enum
	{
		IDD = IDD_AUTOMATION
	};

	CButtonXP m_btn_Add;
	CButtonXP m_btn_Del;
	CButtonXP m_btn_Ok;
	CButtonXP m_btn_Cancel;
	CSpinButtonCtrl m_spin;
	CListBox m_folders;
	int m_mins;
	BOOL m_remove;
	BOOL m_rescan;
	BOOL m_sort;
	BOOL m_every;
	BOOL m_onstart;
	BOOL m_removedup;
	BOOL m_saveset;

	// Overrides
protected:
	virtual void DoDataExchange(CDataExchange* pDX);  // DDX/DDV support

	// Implementation
protected:
	afx_msg void OnAdd();
	afx_msg void OnDel();
	virtual BOOL OnInitDialog();
	virtual void OnOK();
	DECLARE_MESSAGE_MAP()
	DECLARE_MENUXP()
};
#endif
