#ifndef MP3INFODLG_H
#define MP3INFODLG_H

#include "Tools/MenuXP.h"
#include "Tools/ButtonXP.h"

/////////////////////////////////////////////////////////////////////////////
// CMP3InfoDlg dialog

class CMP3InfoDlg : public CDialog
{
	// Construction
public:
	CMP3InfoDlg(UINT id, CWnd* pParent = NULL);   // standard constructor
	~CMP3InfoDlg();
	CMP3InfoDlg* getInstance(UINT id, CWnd* pParent = NULL);

	CButtonXP m_btn_EditTag;
	CString PrevFile;

	void ReadInfo();
	void SaveWindowPosAndDestroy();

	// Dialog Data
	enum
	{
		IDD = IDD_DIALOG_MP3INFO
	};
	CString m_album;
	CString m_artist;
	CString m_comment;
	CString m_filename;
	CString m_genre;
	CString m_title;
	CString m_year;
	CString m_bitrate;
	CString m_freq;
	CString m_mode;


	// Overrides
	// ClassWizard generated virtual function overrides
protected:
	virtual void DoDataExchange(CDataExchange* pDX);  // DDX/DDV support

	// Implementation
protected:

	// Generated message map functions
	virtual BOOL OnInitDialog();
	virtual void OnOK()
	{
	};
	virtual void OnCancel();
	afx_msg void OnClose();
	afx_msg void OnEditTag();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	DECLARE_MESSAGE_MAP()
		DECLARE_MENUXP()
};

#endif